package com.jojubanking.boot.module.system.service.wqda;

import java.util.*;
import javax.validation.*;
import com.jojubanking.boot.module.system.controller.admin.wqda.vo.*;
import com.jojubanking.boot.module.system.dal.dataobject.wqda.WqdaDO;
import com.jojubanking.boot.framework.common.pojo.PageResult;
import com.jojubanking.boot.module.system.dal.dataobject.wqda.WqdaDOx;

/**
 * 问卷调查答案 Service 接口
 *
 * @author admin
 */
public interface WqdaService {

    /**
     * 创建问卷调查答案
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Integer createWqda(@Valid WqdaCreateReqVO createReqVO);

    /**
     * 更新问卷调查答案
     *
     * @param updateReqVO 更新信息
     */
    void updateWqda(@Valid WqdaUpdateReqVO updateReqVO);

    /**
     * 删除问卷调查答案
     *
     * @param id 编号
     */
    void deleteWqda(Integer id);

    /**
     * 获得问卷调查答案
     *
     * @param id 编号
     * @return 问卷调查答案
     */
    WqdaDO getWqda(Integer id);

    /**
     * 获得问卷调查答案列表
     *
     * @param ids 编号
     * @return 问卷调查答案列表
     */
    List<WqdaDO> getWqdaList(Collection<Integer> ids);

    /**
     * 获得问卷调查答案统计
     *
     * @param typeId 问卷编号
     * @return 问卷调查答案统计
     */
    String getWqdaSumList(String typeId, String startTime, String endTime);
    /**
     * 获得问卷调查答案分页
     *
     * @param pageReqVO 分页查询
     * @return 问卷调查答案分页
     */
    PageResult<WqdaDO> getWqdaPage(WqdaPageReqVO pageReqVO);

    /**
     * 获得问卷调查答案列表, 用于 Excel 导出
     *
     * @param exportReqVO 查询条件
     * @return 问卷调查答案列表
     */
    List<WqdaDO> getWqdaList(WqdaExportReqVO exportReqVO);

}
